/* -------------------------------------------------------------- */
/*  LAST EDIT: Thu Oct 31 23:04:46 1996 by Adabas D Database (gutamil.v12-berlin.de!adabas)  */
/*  $Id: AdabasUtil.h,v 1.13 1996/10/31 22:20:58 adabas Exp $ */
/* -------------------------------------------------------------- */
/* Copyright (c) 1996 Christian Krone. All rights reserved.       */
/* This program is free software; you can redistribute it and/or  */
/* modify it under the same terms as Tcl itself.                  */
/* See also licence.terms                                         */
/* -------------------------------------------------------------- */

/* ----------------- Type definitions --------------------------- */
typedef enum {
  encNil,
  encBase64,
  encEscape,
  encHex
} DataEncoding;

/* ----------------- Exported procedure headings ---------------- */
extern void p2c _ANSI_ARGS_((char *c_out, char *p_in, int len));
extern void c2p _ANSI_ARGS_((char *p_out, char *c_in, int len));

extern void decodeSequence _ANSI_ARGS_((int encoding, Tcl_DString *out,
					char *in, int length));
extern int4 encodeSequence _ANSI_ARGS_((Tcl_Interp *interp, int encoding,
					char *what, Tcl_DString *out,
					char *in, int inPos, int length));

extern DataEncoding scanEncoding _ANSI_ARGS_((Tcl_Interp *interp,
					      char *encoding));

#if ADABAS_VERSION >= 62
extern int AdabasFromUnicode _ANSI_ARGS_((Tcl_Interp *interp, char *src,
					  int4 srcLen, char *dest,
					  int4 destLen));
#endif

/* ---------------------------------------------------------------------
 * Some stuff for editing with emacs...
 * ---------------------------------------------------------------------
 * Local Variables: 
 * mode: c
 * mode: font-lock
 * End: 
 */
