/* -------------------------------------------------------------- */
/*  LAST EDIT: Sun Sep 29 11:52:55 1996 by Adabas D Database (gutamil.v12-berlin.de!adabas)  */
/* $Id: AdabasLong.h,v 1.9 1996/09/29 09:53:10 adabas Exp $ */
/* -------------------------------------------------------------- */
/* Copyright (c) 1996 Christian Krone. All rights reserved.       */
/* This program is free software; you can redistribute it and/or  */
/* modify it under the same terms as Tcl itself.                  */
/* See also licence.terms                                         */
/* -------------------------------------------------------------- */

/* ----------------- Exported procedure headings ---------------- */
extern int AdabasLongSelect _ANSI_ARGS_((Tcl_Interp *interp,
					 CursorInfo *cursorVars,
					 char *tableName, char *columnName,
					 char *whereCond,
					 long_descriptor *longDesc));
extern int AdabasLongReadFirst _ANSI_ARGS_((Tcl_Interp *interp,
					    CursorInfo *cursorVars,
					    long_descriptor *longDesc,
					    int encoding, char *fileName,
					    long *bytes, int *cont));
extern int AdabasLongReadNext _ANSI_ARGS_((Tcl_Interp *interp,
					   CursorInfo *cursorVars,
					   long_descriptor *longDesc,
					   int encoding, char *fileName,
					   long *bytes, int *cont));
extern int AdabasLongUpdate _ANSI_ARGS_((Tcl_Interp *interp,
					 CursorInfo *cursorVars,
					 char *tableName, char *columnName,
					 char *whereCond,
					 Tcl_DString *parsId));
extern int AdabasLongWriteFirst _ANSI_ARGS_((Tcl_Interp *interp,
					     CursorInfo *cursorVars,
					     long_descriptor *longDesc,
					     Tcl_DString *parsId,
					     char *fileName, char *longValue,
					     int encoding, int length,
					     int4 *bytes, int *cont));
extern int AdabasLongWriteNext _ANSI_ARGS_((Tcl_Interp *interp,
					    CursorInfo *cursorVars,
					    long_descriptor *longDesc,
					    char *fileName, char *longValue,
					    int encoding, int length,
					    int4 *bytes, int *cont));
extern int AdabasLongWriteEnd _ANSI_ARGS_((Tcl_Interp *interp,
					   CursorInfo *cursorVars,
					   long_descriptor *longDesc));
extern int AdabasLongToFile _ANSI_ARGS_((Tcl_Interp *interp, int toFile,
					 char *fileName, int length,
					 char *data));
extern int AdabasLongValLength _ANSI_ARGS_((Tcl_Interp  *interp,
					    char *fileName, char *longValue,
					    int encoding, Tcl_DString *substVal,
					    int4 *length));

/* ---------------------------------------------------------------------
 * Some stuff for editing with emacs...
 * ---------------------------------------------------------------------
 * Local Variables: 
 * mode: c
 * mode: font-lock
 * End: 
 */
