/* -------------------------------------------------------------- */
/*  LAST EDIT: Sun Sep 29 12:02:58 1996 by Adabas D Database (gutamil.v12-berlin.de!adabas)  */
/*  $Id: AdabasSql.h,v 1.5 1996/09/29 10:03:07 adabas Exp $ */
/* -------------------------------------------------------------- */
/* Copyright (c) 1996 Christian Krone. All rights reserved.       */
/* This program is free software; you can redistribute it and/or  */
/* modify it under the same terms as Tcl itself.                  */
/* See also licence.terms                                         */
/* -------------------------------------------------------------- */

typedef struct {
  AdabasInfo *logonInfo;
  int         cntParams;
  int         longColFound;
  int         massRows;
  int         rowIx;
  int4        dataLength;
  int4        dataEnd;
  char        resultTable[40]; /* more than enough. */
  field_info *shortInfos;
#if ADABAS_VERSION >= 62
  char       *columnNames;
#endif
} CursorInfo;

/* ----------------- Exported procedure headings ---------------- */
extern int AdabasSqlInit _ANSI_ARGS_((Tcl_Interp *interp));
extern char *getDataOfCursor _ANSI_ARGS_((Tcl_Interp *interp,
					  CursorInfo *cursorVars, int flags));

/* ---------------------------------------------------------------------
 * Some stuff for editing with emacs...
 * ---------------------------------------------------------------------
 * Local Variables: 
 * mode: c
 * mode: font-lock
 * End: 
 */
